package com.cpm.lorealbaMabeline.tbaleavemodel;

import com.google.gson.annotations.SerializedName;

public class TBAMELeaveHistory {
    @SerializedName("EmpId")

    private Integer empId;
    @SerializedName("EmpCode")

    private String empCode;
    @SerializedName("Name")

    private String name;
    @SerializedName("Designation")

    private String designation;
    @SerializedName("ApplyDate")

    private String applyDate;
    @SerializedName("LeaveType")

    private String leaveType;
    @SerializedName("FromDate")

    private String fromDate;
    @SerializedName("ToDate")

    private String toDate;
    @SerializedName("NoOfDays")

    private Double noOfDays;
    @SerializedName("ApprovedStatus")

    private String approvedStatus;
    @SerializedName("RejectRemark")

    private String rejectRemark;

    public Integer getEmpId() {
        return empId;
    }

    public void setEmpId(Integer empId) {
        this.empId = empId;
    }

    public String getEmpCode() {
        return empCode;
    }

    public void setEmpCode(String empCode) {
        this.empCode = empCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDesignation() {
        return designation;
    }

    public void setDesignation(String designation) {
        this.designation = designation;
    }

    public String getApplyDate() {
        return applyDate;
    }

    public void setApplyDate(String applyDate) {
        this.applyDate = applyDate;
    }

    public String getLeaveType() {
        return leaveType;
    }

    public void setLeaveType(String leaveType) {
        this.leaveType = leaveType;
    }

    public String getFromDate() {
        return fromDate;
    }

    public void setFromDate(String fromDate) {
        this.fromDate = fromDate;
    }

    public String getToDate() {
        return toDate;
    }

    public void setToDate(String toDate) {
        this.toDate = toDate;
    }

    public Double getNoOfDays() {
        return noOfDays;
    }

    public void setNoOfDays(Double noOfDays) {
        this.noOfDays = noOfDays;
    }

    public String getApprovedStatus() {
        return approvedStatus;
    }

    public void setApprovedStatus(String approvedStatus) {
        this.approvedStatus = approvedStatus;
    }

    public String getRejectRemark() {
        return rejectRemark;
    }

    public void setRejectRemark(String rejectRemark) {
        this.rejectRemark = rejectRemark;
    }
}
